version: '3'

services:
  mysql-horoshiki-reviews:
    image: mysql
    container_name: mysql-horoshiki-reviews
    ports:
      - 3306:3306
    environment:
      - MYSQL_ROOT_PASSWORD=${MYSQL_ROOT_PASSWORD}
      - MYSQL_DATABASE=${MYSQL_DATABASE}
      - MYSQL_USER=${MYSQL_USER}
      - MYSQL_PASSWORD=${MYSQL_PASSWORD}
    restart: always
  horoshiki-reviews-api:
    build: .
    container_name: horoshiki-reviews
    ports:
      - 3000:3000
    environment:
      - MYSQL_ROOT_PASSWORD=${MYSQL_ROOT_PASSWORD}
      - MYSQL_DATABASE=${MYSQL_DATABASE}
      - MYSQL_USER=${MYSQL_USER}
      - MYSQL_PASSWORD=${MYSQL_PASSWORD}
      - MYSQL_HOST=mysql-horoshiki-reviews
    depends_on:
      - mysql-horoshiki-reviews
